<template>
	<section id="contact" class="anchor_tags">
		<div class="container py-4 text-center h-100 d-flex justify-content-center align-items-center">
			<div class="px-4 py-5 mt-4 grey-bg text-light contact_form_content rounded">

				<div class="group">      
					<input type="text" id="name" v-model="name" required>
					<span class="highlight"></span>
					<span class="bar"></span>
					<label for="name">Name</label>
				</div>

				<div class="group">      
					<input type="text" id="email" v-model="email" required>
					<span class="highlight"></span>
					<span class="bar"></span>
					<label for="email">Email</label>
				</div>

				<div class="group">      
					<textarea id="message" v-model="message" name="message" cols="20" rows="3" required></textarea>
					<span class="highlight"></span>
					<span class="bar"></span>
					<label for="message">Message</label>
				</div>

				<div class="text-center">
					<button class="btn btn-outline-warning px-4" @click="sendEmail">
						Send Email <i class="far fa-paper-plane mx-2"></i>
					</button>
				</div>
			</div>
		</div>
	</section>
</template>

<script>

export default {

	data() {

		return {

			name: null,

			email: null,

			message: null
		}
	},

	methods: {

		sendEmail() {

			// axios.post('/api/send-email', {

			// 	name: this.name,

			// 	email: this.email,

			// 	message: this.message
			
			// }).then(response => {

			// 	console.log(response)
			// })
		}
	}
}

</script>

<style scoped>

#contact {
	height: 100vh;
	width: 100%;
	background-color: #0A0A0C;
	/*position: absolute;	*/
	/*z-index: 2000;*/
}

#contact::before {
	content: "";
	width: 100%;
	height: 100%;
	position: absolute;
	background-image: url('/images/map.png');
	background-size: cover;
	filter: brightness(25%) grayscale(100%);
}

.contact_form_content {
	position: relative;
	min-width: 50%;
	display: inline-block;
}

.contact_form_icon {
	margin-top: -30px;
}

.contact_form_icon span {
	border-radius: 50%;
}


/* form starting stylings ------------------------------- */
.group 			  { 
	position: relative; 
	margin-bottom: 45px; 
}

textarea {
	resize: none;
}

input, textarea {
	font-size: 18px;
	padding: 10px 10px 10px 5px;
	display: block;
	border: none;
	border-bottom: 1px solid #757575;
	background-color: transparent;
	color: white;
	width: 100%;
}

input:focus, textarea:focus { 
	outline: none; 
}

label {
	color: #CDAF0B; 
	font-size: 18px;
	font-weight: normal;
	position: absolute;
	pointer-events: none;
	left: 5px;
	top: 10px;
	transition: 0.2s ease all; 
	-moz-transition: 0.2s ease all; 
	-webkit-transition: 0.2s ease all;
}

input:focus ~ label, input:valid ~ label, textarea:focus ~ label, textarea:valid ~ label {
	top: -20px;
	font-size: 14px;
	color: #CDAF0B;
}

.bar { 
	position: relative; 
	display: block; 
	width: 100%; 
}

.bar:before, .bar:after {
	content: '';
	height: 2px; 
	width: 0;
	bottom: 1px; 
	position: absolute;
	background: #CDAF0B; 
	transition: 0.2s ease all; 
	-moz-transition: 0.2s ease all; 
	-webkit-transition: 0.2s ease all;
}

.bar:before {
  	left: 50%;
}

.bar:after {
  	right: 50%; 
}

input:focus ~ .bar:before, input:focus ~ .bar:after, textarea:focus ~ .bar:before, textarea:focus ~ .bar:after {
  	width: 50%;
}

input:focus, textarea:focus {
	border: 0px;
}

.highlight {
	position: absolute;
	height: 60%; 
	width: 100px; 
	top: 25%; 
	left: 0;
	pointer-events: none;
	opacity: 0.5;
}

input:focus ~ .highlight, textarea:focus ~ .highlight {
	-webkit-animation: inputHighlighter 0.3s ease;
	-moz-animation: inputHighlighter 0.3s ease;
	animation: inputHighlighter 0.3s ease;
}

@-webkit-keyframes inputHighlighter {
	from { background: #CDAF0B; }
  	to { width: 0; background: transparent; }
}
@-moz-keyframes inputHighlighter {
	from { background: #CDAF0B; }
  	to { width: 0; background: transparent; }
}
@keyframes inputHighlighter {
	from { background: #CDAF0B; }
  	to { width: 0; background: transparent; }
}
</style>